[workspace]
resolver = "2"
members = ["cli", "types", "library"]

[workspace.package]
edition = "2021"
rust-version = "1.76"
license = "LGPL-3.0"
publish = true
version = "0.8.1"
repository = "https://gitlab.com/maxburon/microformats-parser"
homepage = "https://microformats.io"

[profile.release]
strip = true
opt-level = "z"
lto = true
codegen-units = 1
panic = "abort"

[workspace.lints.rust]
unsafe_code = "forbid"
rust-2018-idioms = "warn"

[workspace.dependencies]
lazy_static = "1.4"
regex = { version = "1.10", features = ["perf"] }
serde = { version = "1.0", features = ["derive"] }
serde_json = { version = "1.0", features = ["preserve_order"] }
time = { version = "0.3", features = ["macros", "serde-human-readable"] }
url = { version = "2.0", features = ["serde"] }
tracing = { version = "0.1" }
thiserror = { version = "1.0" }
